/*******************************************************************************
 *
 * Copyright (c) 2016-2026 HYCON Technology, Inc.
 * All rights reserved.
 * HYCON Technology <www.hycontek.com>
 *
 * HYCON reserves the right to amend this code without notice at any time.
 * HYCON assumes no responsibility for any errors appeared in the code,
 * and HYCON disclaims any express or implied warranty, relating to sale
 * and/or use of this code including liability or warranties relating
 * to fitness for a particular purpose, or infringement of any patent,
 * copyright or other intellectual property right.
 *
 * -----------------------------------------------------------------------------
 * Project Name : 
 * IDE tooling  : 
 * Device Ver.  : 
 * Library Ver. : 
 * MCU Device   : 
 * Description  : 
 * Created Date : 2016/10/11
 * Created by   :
 *
 * Program Description:
 * 
 ******************************************************************************/
/*----------------------------------------------------------------------------*/
/* Includes                                                                   */
/*----------------------------------------------------------------------------*/
#include "DrvI2C.h"
#include "HY2613.h"
#include "seg7.h"

/*----------------------------------------------------------------------------*/
/* Function Name: ClearLCDframe(void)                                         */
/* Description  : Clear LCD RAM Data.                                         */
/* Arguments    : None.                                                       */
/* Return Value : None.                                                       */
/* Remark       :                                                             */
/*----------------------------------------------------------------------------*/
void ClearLCDframe(void)
{
  int i=0;
  for(i=0;i<11;i++)
  {
    DisplayBuffer[i]=0x00;
  }
  RAM2LCD(DisplayBuffer,11);
}

/*----------------------------------------------------------------------------*/
/* Function Name: DisplayHYcon(void)                                          */
/* Description  : Display HYcon Char.                                         */
/* Arguments    : None.                                                       */
/* Return Value : None.                                                       */
/* Remark       :                                                             */
/*----------------------------------------------------------------------------*/
void DisplayHYcon(void)
{
  #define offset 2
  DisplayBuffer[offset+0]=0x00;
  DisplayBuffer[offset+1]=Char_H;
  DisplayBuffer[offset+2]=Char_Y;
  DisplayBuffer[offset+3]=Char_c;
  DisplayBuffer[offset+4]=Char_o;
  DisplayBuffer[offset+5]=Char_n;
  RAM2LCD(DisplayBuffer,11);
}

/*----------------------------------------------------------------------------*/
/* Function Name: LCD_DATA_DISPLAY(unsigned int LcdBuffer)                    */
/* Description  : Write to LCD RAM Data.                                      */
/* Arguments    : None.                                                       */
/* Return Value : None.                                                       */
/* Remark       :                                                             */
/*----------------------------------------------------------------------------*/
void LCD_DATA_DISPLAY(unsigned int LcdBuffer)
{
  int k;
  for(k=7;k>=2;k--)
  {
    DisplayBuffer[k]=seg[LcdBuffer%10];
    LcdBuffer=LcdBuffer/10;
  }
  DisplayBuffer[8]=S_Bat1|S_Bat2|S_Bat3|S_Bat4;
  DisplayBuffer[9]=0x00;
  DisplayBuffer[10]=S18|S19|S20|S21;
  RAM2LCD(DisplayBuffer,11);
} 
